<?php
/*
 @todo explain difference between contacts and subscribers

Contacts -> these customers accounts with or without newsletter subscription
subscribers -> these are newsletter subscriptions for emails (A subscriber can be a customer)
*/

/*
@todo Purpose of columns in conesso_contact
contact_id -> Primary key of the table
is_guest -> set 1 if a guest user, 0 if there is a customer account associated with an email
conesso_id -> set identifier from Conesso record after the sync was done if possible
customer_id -> If an email has customer account then set customer_id
website_id -> Set website_id of the current request
store_id -> Set store_id of the current request
email -> set the email used to subscribe for newsletter
is_subscriber ->
                Set 1 if the request is for newsletter subscription
                Set 1 if the request is for customer registration with newsletter subscription
is_email_imported -> Set 1 if customer account is imported to Conesso
is_subscriber_imported -> Set 1 if newsletter subscription (either from guest or customer)  imported to Conesso
last_subscribed_at -> Set the time of subscription added to conesso
sync_id -> Sync id from table contact_sync
*/


/*
@todo Purpose of columns in conesso_sync
id -> Primary key of the table
sync_entity_type -> Set type of the sync i.e, newsletter, customer, product, order
sync_mode -> single update or batch update (if batch update is possible then do so otherwise do sync for each record)
content -> content file (
sync_status ->
            pending -> when sync is created,
            ready -> when the content is generated,
            running -> when sync is in progress,
            failed -> when sync failed,
            success -> synced successfully
website_id -> website_id of the sync record(s)
store_id -> store_id of the sync record(s)
synced_at -> Sync time to conesso
*/


/*
@todo create system config to map the additional attributes

This is for customer attributes.
In system config add dynamic row configuration that should allow mapping of custom customer attributes (select) to custom fields (text field, value can be added manually)
see https://developer.adobe.com/commerce/php/tutorials/admin/create-dynamic-row-configuration/

These mapped attributes should then be synced to conesso with Contacts.
*/

/*
@todo create create data interfaces for conesso_sync entity

*/

/*
 @todo set sync limit as in number of items to sync in one execution (mainly for bulk sync)
*/

/*
@todo give admin option whether to do single sync or bulk sync. If single sync then just send it to conesso, on bulk sync - create a csv/json/xml file (twig?) then use that to bulk in sync via queue consumer

*/

/*
@todo create console command that will all historic data to Conesso

*/

/*
@todo create sync for products and orders in similar way as contacts (Phase 2)

*/